## lighttpd 1.4.63-1ubuntu3.1+11.0trisquel1

=== debian/changelog ===
lighttpd (1.4.63-1ubuntu3.1+11.0trisquel1) aramo-security; urgency=medium

  * Fix Ubuntu references in the default index.html

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 28 Feb 2023 00:40:47 +0000

lighttpd (1.4.63-1ubuntu3.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds Write
    - debian/patches/CVE-2022-22707.patch: mod_extforward_Forwarded function
      of the mod_extforward plugin has a stack-based buffer overflow.
      (LP: #1994989)
    - CVE-2022-22707
  * SECURITY UPDATE: Resource leak
    - debian/patches/CVE-2022-41556.patch: Resource leak in gw_backend.c.
    - CVE-2022-41556

 -- Jack Fewx <jack@fewx.com>  Mon, 13 Feb 2023 21:33:26 -0600

=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian lighttpd maintainers <team+lighttpd@tracker.debian.org>
Uploaders: Helmut Grohne <helmut.grohne@intenta.de>, Glenn Strauss <gstrauss@gluelogic.com>, Stefan Bühler <stbuehler@web.de>
Homepage: https://www.lighttpd.net/
Build-Depends:
 dpkg-dev (>= 1.16.1~),
 debhelper-compat (= 12),
 media-types <!nocheck> | mime-support <!nocheck>,
 libmbedtls-dev (>= 2.14.0),
 libnss3-dev (>= 2:3.26.2),
 libssl-dev,
 libwolfssl-dev (>= 3.14.0~),
 zlib1g-dev,
 libbrotli-dev,
 libpcre2-dev,
 default-libmysqlclient-dev | libmysqlclient-dev,
 libdbi-dev,
 libldap2-dev,
 libgdbm-dev,
 libgeoip-dev,
 liblua5.3-dev,
 libmaxminddb-dev,
 libmemcached-dev,
 pkg-config,
 uuid-dev,
 libsqlite3-dev,
 libxml2-dev,
 libkrb5-dev,
 libpam0g-dev,
 libpq-dev,
 libsasl2-dev,
 libunwind8-dev <pkg.lighttpd.libunwind>,
 libxxhash-dev,
 libzstd-dev,
 nettle-dev,
 perl:native,
Vcs-Git: https://salsa.debian.org/debian/lighttpd.git
Vcs-Browser: https://salsa.debian.org/debian/lighttpd
Standards-Version: 4.6.0
Rules-Requires-Root: binary-targets

Package: lighttpd
Architecture: any
Provides:
 httpd,
 httpd-cgi,
 ${lighttpd:ModuleProvides},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 media-types | mime-support,
 systemd-sysv | lsb-base,
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 spawn-fcgi,
 perl:any,
 lighttpd-mod-deflate,
 lighttpd-mod-openssl,
Suggests:
 openssl,
 rrdtool,
 php-cgi,
 php-fpm (>= 2:7.4),
 apache2-utils,
 lighttpd-doc,
 lighttpd-mod-authn-gssapi,
 lighttpd-mod-authn-pam,
 lighttpd-mod-authn-sasl,
 lighttpd-mod-geoip,
 lighttpd-mod-maxminddb,
 lighttpd-mod-trigger-b4-dl,
 lighttpd-mod-vhostdb-pgsql,
 lighttpd-mod-webdav,
 lighttpd-modules-dbi,
 lighttpd-modules-ldap,
 lighttpd-modules-lua,
 lighttpd-modules-mysql,
 ufw
Description: fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, LDAP)
   * transparent content compression
   * conditional configuration
   * HTTP proxying
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Multi-Arch: foreign
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 lighttpd,
Description: documentation for lighttpd
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 .
 This package contains documentation for lighttpd.

Package: lighttpd-modules-dbi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Breaks:
 lighttpd-mod-vhostdb-dbi (<< 1.4.56~rc7-0+exp2),
Replaces:
 lighttpd (<< 1.4.56~rc7-0+exp2),
 lighttpd-mod-vhostdb-dbi (<< 1.4.56~rc7-0+exp2),
Provides:
 ${lighttpd:ModuleProvides},
Description: DBI-based modules for lighttpd
 This package contains the following modules:
  * mod_authn_dbi: DBI-based authentication
    mod_authn_dbi performs authentication against a database server
    via DBI interface.
  * mod_vhostdb_dbi: DBI-based virtual host configuration
    mod_vhostdb_dbi enables writing the configuration for virtual hosts
    into a database table instead of including it in the lighttpd
    configuration file.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-modules-ldap
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Provides:
 ${lighttpd:ModuleProvides},
Description: LDAP-based modules for lighttpd
 This package contains the following modules:
  * mod_authn_ldap: With this module, it is possible to perform
    authentication against an LDAP server.
  * mod_vhostdb_ldap: Database backend module for using LDAP as
    a source for virtual host configuration using mod_vhostdb.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-modules-lua
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Breaks:
 lighttpd-mod-cml (<< 1.4.56~rc7-0+exp2),
 lighttpd-mod-magnet (<< 1.4.56~rc7-0+exp2),
Replaces:
 lighttpd (<< 1.4.56~rc7-0+exp2),
 lighttpd-mod-cml (<< 1.4.56~rc7-0+exp2),
 lighttpd-mod-magnet (<< 1.4.56~rc7-0+exp2),
Provides:
 ${lighttpd:ModuleProvides},
Description: LUA-based modules for lighttpd
 This package contains the following modules:
  * mod_magnet: control the request handling module for lighttpd
    mod_magnet can attract a request in several stages in the request-handling.
    either at the same level as mod_rewrite, before any parsing of the URL is
    done or at a later stage, when the doc-root is known and the physical-path
    is already setup.
  * mod_cml: cache meta language module for lighttpd
    With the cache meta language, it is possible to describe to the
    dependencies of a cached file to its source files/scripts. For the
    cache files, the scripting language Lua is used.
    THIS MODULE IS OBSOLETED, USE mod_magnet INSTEAD.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-modules-mysql
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Provides:
 ${lighttpd:ModuleProvides},
Description: MySQL-based modules for lighttpd
 This package contains the following modules:
  * mod_authn_mysql: With this module, it is possible to perform
    authentication using a MySQL table.
    This module is deprecated and will be removed in Debian 12 Bookworm.
    Use mod_authn_dbi instead.
  * mod_mysql_vhost: With this module, it is possible to write the
    configuration for virtual hosts into a MySQL table instead of
    including it in the lighttpd configuration file.
    This module is deprecated and will be removed in Debian 12 Bookworm.
    Use mod_vhostdb_dbi or mod_vhostdb_mysql instead.
  * mod_vhostdb_mysql: Database backend module for using MySQL as
    a source for virtual host configuration using mod_vhostdb.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-mod-trigger-b4-dl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Recommends:
 memcached,
Description: anti-deep-linking module for lighttpd
 The trigger-b4-dl module for lighttpd can prevent deep linking
 from other sites by requiring users to visit a trigger URL to
 be able to download certain files.

Package: lighttpd-mod-webdav
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: WebDAV module for lighttpd
 The WebDAV module is an implementation of RFC 4918.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  PROPPATCH
  OPTIONS
  MKCOL
  COPY
  MOVE
  DELETE
  PUT
  LOCK
  UNLOCK

Package: lighttpd-mod-authn-gssapi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: GSSAPI authentication module for lighttpd
 This package contains the authn_gssapi module for lighttpd. With
 this module, it is possible to perform GSSAPI authentication.

Package: lighttpd-mod-authn-pam
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: PAM authentication module for lighttpd
 This package contains the authn_pam module for lighttpd. With this module, it
 is possible to perform authentication using PAM.

Package: lighttpd-mod-authn-sasl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: SASL authentication module for lighttpd
 This package contains the authn_sasl module for lighttpd. With this module, it
 is possible to perform authentication using SASL.

Package: lighttpd-mod-deflate
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Breaks: lighttpd (<< 1.4.56~rc7-0+exp2)
Replaces: lighttpd (<< 1.4.56~rc7-0+exp2)
Description: HTTP response compression module for lighttpd
 This package contains the deflate module for lighttpd. With this module, it is
 possible compress HTTP responses using zlib, brotli, or bzip2 if supported by
 the client.

Package: lighttpd-mod-geoip
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: GeoIP info module for lighttpd
 This package contains the geoip module for lighttpd. With
 this module, it is possible to distinguish users based on the location
 using a GeoIP database.
 .
 This module is deprecated and will be removed in Debian 12 Bookworm.
 Legacy GeoIP databases will not be available from upstream after May 2022.
 Instead, use mod_maxminddb, which uses GeoIP2 databases.

Package: lighttpd-mod-maxminddb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: GeoIP2 info module for lighttpd
 This package contains the maxminddb module for lighttpd. With
 this module, it is possible to distinguish users based on the location
 using a GeoIP2 database.

Package: lighttpd-mod-vhostdb-pgsql
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: PostgreSQL-based virtual host configuration module for lighttpd
 This package contains the vhostdb_pgsql module for lighttpd. With this module,
 it is possible to write the configuration for virtual hosts into a PostgreSQL
 table instead of including it in the lighttpd configuration file.

Package: lighttpd-mod-mbedtls
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: TLS support using mbedTLS module for lighttpd
 This package contains the mbedtls module for lighttpd. With this module,
 it is possible serve https:// URLs.  Aimed at embedded systems, mbedTLS
 uses less memory than OpenSSL, though is slightly slower than OpenSSL.

Package: lighttpd-mod-nss
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: TLS support using NSS crypto module for lighttpd
 This package contains the nss module for lighttpd. With this module,
 it is possible serve https:// URLs.  NSS is an alternative to OpenSSL.

Package: lighttpd-mod-openssl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Breaks: lighttpd (<< 1.4.56~rc7-0+exp2)
Replaces: lighttpd (<< 1.4.56~rc7-0+exp2)
Description: TLS support using OpenSSL module for lighttpd
 This package contains the openssl module for lighttpd. With this module, it is
 possible serve https:// URLs.

Package: lighttpd-mod-wolfssl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: TLS support using wolfSSL module for lighttpd
 This package contains the wolfssl module for lighttpd. With this module,
 it is possible serve https:// URLs.  Aimed at embedded systems, wolfSSL
 uses less memory than OpenSSL, though is slightly slower than OpenSSL.

## lighttpd 1.4.64

=== debian/changelog ===
lighttpd (1.4.64-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 May 2022 14:20:56 -0700

lighttpd (1.4.64-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix bug number in previous changelog entry
  * New upstream version 1.4.64
    + Fixes CVE-2022-22707 32-bit lighttpd mod_extforward crash.

  [ Glenn Strauss ]
  * Remove mod_geoip; replaced by mod_maxminddb
  * Remove mod_cml; replaced by mod_magnet
  * Remove mod_authn_mysql and mod_mysql_vhost
  * Remove mod_flv_streaming; replace using mod_magnet
  * Remove mod_trigger_b4_dl; replace using mod_magnet
  * Prune Suggests list

  [ Helmut Grohne ]
  * Upgrade unversioned breaks to conflicts

 -- Helmut Grohne <helmut.grohne@intenta.de>  Wed, 19 Jan 2022 21:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lighttpd
 Section: httpd
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian lighttpd maintainers <team+lighttpd@tracker.debian.org>
 Uploaders: Helmut Grohne <helmut.grohne@intenta.de>, Glenn Strauss <gstrauss@gluelogic.com>, Stefan Bühler <stbuehler@web.de>
 Homepage: https://www.lighttpd.net/
@@ -19,11 +19,8 @@
  default-libmysqlclient-dev | libmysqlclient-dev,
  libdbi-dev,
  libldap2-dev,
- libgdbm-dev,
- libgeoip-dev,
  liblua5.3-dev,
  libmaxminddb-dev,
- libmemcached-dev,
  pkg-config,
  uuid-dev,
  libsqlite3-dev,
@@ -55,6 +52,9 @@
  systemd-sysv | lsb-base,
 Pre-Depends:
  ${misc:Pre-Depends},
+Conflicts:
+ lighttpd-mod-geoip,
+ lighttpd-mod-trigger-b4-dl,
 Recommends:
  spawn-fcgi,
  perl:any,
@@ -62,23 +62,13 @@
  lighttpd-mod-openssl,
 Suggests:
  openssl,
- rrdtool,
  php-cgi,
  php-fpm (>= 2:7.4),
  apache2-utils,
  lighttpd-doc,
- lighttpd-mod-authn-gssapi,
- lighttpd-mod-authn-pam,
- lighttpd-mod-authn-sasl,
- lighttpd-mod-geoip,
- lighttpd-mod-maxminddb,
- lighttpd-mod-trigger-b4-dl,
- lighttpd-mod-vhostdb-pgsql,
  lighttpd-mod-webdav,
  lighttpd-modules-dbi,
- lighttpd-modules-ldap,
  lighttpd-modules-lua,
- lighttpd-modules-mysql,
  ufw
 Description: fast webserver with minimal memory footprint
  lighttpd is a small webserver and fast webserver developed with
@@ -157,12 +147,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
  lighttpd (= ${binary:Version}),
+Conflicts:
+ lighttpd-mod-cml,
 Breaks:
- lighttpd-mod-cml (<< 1.4.56~rc7-0+exp2),
  lighttpd-mod-magnet (<< 1.4.56~rc7-0+exp2),
 Replaces:
  lighttpd (<< 1.4.56~rc7-0+exp2),
- lighttpd-mod-cml (<< 1.4.56~rc7-0+exp2),
  lighttpd-mod-magnet (<< 1.4.56~rc7-0+exp2),
 Provides:
  ${lighttpd:ModuleProvides},
@@ -173,11 +163,6 @@
     either at the same level as mod_rewrite, before any parsing of the URL is
     done or at a later stage, when the doc-root is known and the physical-path
     is already setup.
-  * mod_cml: cache meta language module for lighttpd
-    With the cache meta language, it is possible to describe to the
-    dependencies of a cached file to its source files/scripts. For the
-    cache files, the scripting language Lua is used.
-    THIS MODULE IS OBSOLETED, USE mod_magnet INSTEAD.
  .
  Do not depend on this package. Depend on the provided lighttpd-mod-*
  packages instead.
@@ -188,37 +173,18 @@
  ${misc:Depends},
  ${shlibs:Depends},
  lighttpd (= ${binary:Version}),
+Conflicts:
+ lighttpd-mod-authn-mysql,
+ lighttpd-mod-mysql-vhost,
 Provides:
  ${lighttpd:ModuleProvides},
 Description: MySQL-based modules for lighttpd
  This package contains the following modules:
-  * mod_authn_mysql: With this module, it is possible to perform
-    authentication using a MySQL table.
-    This module is deprecated and will be removed in Debian 12 Bookworm.
-    Use mod_authn_dbi instead.
-  * mod_mysql_vhost: With this module, it is possible to write the
-    configuration for virtual hosts into a MySQL table instead of
-    including it in the lighttpd configuration file.
-    This module is deprecated and will be removed in Debian 12 Bookworm.
-    Use mod_vhostdb_dbi or mod_vhostdb_mysql instead.
   * mod_vhostdb_mysql: Database backend module for using MySQL as
     a source for virtual host configuration using mod_vhostdb.
  .
  Do not depend on this package. Depend on the provided lighttpd-mod-*
  packages instead.
-
-Package: lighttpd-mod-trigger-b4-dl
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- lighttpd (= ${binary:Version}),
-Recommends:
- memcached,
-Description: anti-deep-linking module for lighttpd
- The trigger-b4-dl module for lighttpd can prevent deep linking
- from other sites by requiring users to visit a trigger URL to
- be able to download certain files.
 
 Package: lighttpd-mod-webdav
 Architecture: any
@@ -287,21 +253,6 @@
  possible compress HTTP responses using zlib, brotli, or bzip2 if supported by
  the client.
 
-Package: lighttpd-mod-geoip
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- lighttpd (= ${binary:Version}),
-Description: GeoIP info module for lighttpd
- This package contains the geoip module for lighttpd. With
- this module, it is possible to distinguish users based on the location
- using a GeoIP database.
- .
- This module is deprecated and will be removed in Debian 12 Bookworm.
- Legacy GeoIP databases will not be available from upstream after May 2022.
- Instead, use mod_maxminddb, which uses GeoIP2 databases.
-
 Package: lighttpd-mod-maxminddb
 Architecture: any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

# enable verbose mode
export DH_VERBOSE=1

# enable all hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	find . -name Makefile.in -delete

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-dependency-tracking \
		--libdir=/usr/lib/lighttpd \
		--libexecdir="/usr/lib/lighttpd" \
		--with-attr \
		--with-brotli \
		--with-dbi \
		--with-gdbm \
		--with-krb5 \
		--with-ldap \
		--with-memcached \
		--with-lua=lua5.3 \
		--with-maxminddb \
		--with-mbedtls \
		--with-mysql \
		--with-nettle \
		--with-nss \
		--with-openssl \
		--with-pam \
		--with-pcre2 \
		--with-pgsql \
		--with-sasl \
		--with-webdav-locks \
		--with-webdav-props \
		--with-wolfssl \
		--with-xxhash \
		--with-zstd \
		$(if $(filter pkg.lighttpd.libunwind,$(DEB_BUILD_PROFILES)),--with-libunwind) \
		CFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get CFLAGS)" \
		LDFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get LDFLAGS)" \
		CPPFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get CPPFLAGS)" \

override_dh_install:
	dh_install
	install -m644 debian/lighttpd.ufw.profile debian/lighttpd/etc/ufw/applications.d/lighttpd

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdocs:
	dh_installdocs -Nlighttpd -Nlighttpd-doc --link-doc=lighttpd
	dh_installdocs -plighttpd -plighttpd-doc

override_dh_fixperms-arch:
	dh_fixperms
	chmod 0750 debian/lighttpd/var/log/lighttpd
	chown www-data:www-data \
			debian/lighttpd/var/cache/lighttpd \
			debian/lighttpd/var/cache/lighttpd/compress \
			debian/lighttpd/var/cache/lighttpd/uploads \
			debian/lighttpd/var/log/lighttpd

override_dh_installinit:
	dh_installinit --error-handler=start_failed

override_dh_gencontrol:
	set -e; for p in `dh_listpackages`; do \
		test -d debian/$$p/usr/lib/lighttpd || continue; \
		m=`ls debian/$$p/usr/lib/lighttpd | sed 'y/_/-/;s/^mod-\(.*\)\.so$$/lighttpd-mod-\1,/;ta;d;:a /^'"$$p"',$$/d;' | xargs`; \
		echo "lighttpd:ModuleProvides=$$m" >> debian/$$p.substvars; \
	done
	dh_gencontrol

## lighttpd 1.4.65

=== debian/changelog ===
lighttpd (1.4.65-2ubuntu1.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Resource leak
    - debian/patches/CVE-2022-41556.patch: Resource leak in gw_backend.c.
      (LP: #1994989)
    - CVE-2022-41556

 -- Jack Fewx <jack@fewx.com>  Thu, 16 Feb 2023 20:35:58 -0600

lighttpd (1.4.65-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jun 2022 09:34:39 -0700

lighttpd (1.4.65-2) unstable; urgency=medium

  * Upload to unstable.

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 16 Jun 2022 11:30:57 +0200

lighttpd (1.4.65-1+exp1) experimental; urgency=medium

  [ Glenn Strauss ]
  * Enable building mod_gnutls

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 09 Jun 2022 13:17:59 +0200

lighttpd (1.4.65-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * Use lua 5.4 going forwards (update from lua 5.3)
  * Remove obsolete configure flags for removed deps

  [ Helmut Grohne ]
  * New upstream version 1.4.65.
  * Declare compliance with policy 4.6.1 - no changes needed.
  * Enable libdeflate for mod_deflate

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 09 Jun 2022 12:36:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
 Build-Depends:
  dpkg-dev (>= 1.16.1~),
  debhelper-compat (= 12),
+ libdeflate-dev,
  media-types <!nocheck> | mime-support <!nocheck>,
+ libgnutls28-dev (>= 3.6.5),
  libmbedtls-dev (>= 2.14.0),
  libnss3-dev (>= 2:3.26.2),
  libssl-dev,
@@ -19,7 +21,7 @@
  default-libmysqlclient-dev | libmysqlclient-dev,
  libdbi-dev,
  libldap2-dev,
- liblua5.3-dev,
+ liblua5.4-dev,
  libmaxminddb-dev,
  pkg-config,
  uuid-dev,
@@ -36,7 +38,7 @@
  perl:native,
 Vcs-Git: https://salsa.debian.org/debian/lighttpd.git
 Vcs-Browser: https://salsa.debian.org/debian/lighttpd
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: binary-targets
 
 Package: lighttpd
@@ -250,7 +252,7 @@
 Replaces: lighttpd (<< 1.4.56~rc7-0+exp2)
 Description: HTTP response compression module for lighttpd
  This package contains the deflate module for lighttpd. With this module, it is
- possible compress HTTP responses using zlib, brotli, or bzip2 if supported by
+ possible compress HTTP responses using zlib, brotli, or zstd if supported by
  the client.
 
 Package: lighttpd-mod-maxminddb
@@ -274,6 +276,16 @@
  This package contains the vhostdb_pgsql module for lighttpd. With this module,
  it is possible to write the configuration for virtual hosts into a PostgreSQL
  table instead of including it in the lighttpd configuration file.
+
+Package: lighttpd-mod-gnutls
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ lighttpd (= ${binary:Version}),
+Description: TLS support using GnuTLS module for lighttpd
+ This package contains the gnutls module for lighttpd. With this module,
+ it is possible serve https:// URLs.  GnuTLS is an alternative to OpenSSL.
 
 Package: lighttpd-mod-mbedtls
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 		--with-attr \
 		--with-brotli \
 		--with-dbi \
-		--with-gdbm \
+		--with-gnutls \
 		--with-krb5 \
 		--with-ldap \
-		--with-memcached \
-		--with-lua=lua5.3 \
+		--with-libdeflate \
+		--with-lua=lua5.4 \
 		--with-maxminddb \
 		--with-mbedtls \
 		--with-mysql \

## lighttpd 1.4.67

=== CMakeLists.txt ===
project(lighttpd C)

cmake_minimum_required(VERSION 3.7.0 FATAL_ERROR)

# use C11 with CMake >= 3.1
set(CMAKE_C_STANDARD 11)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/scripts/cmake)

include(CTest)

enable_testing()

set(CPACK_PACKAGE_VERSION_MAJOR 1)
set(CPACK_PACKAGE_VERSION_MINOR 4)
set(CPACK_PACKAGE_VERSION_PATCH 67)
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
set(CPACK_PACKAGE_VENDOR "jan@kneschke.de")

set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES "/\\\\.;~$;/_;build/;CMakeFiles/;CMakeCache;gz$;Makefile\\\\.;trace;Testing/;foo;autom4te;cmake_install;CPack;\\\\.pem;ltmain.sh;configure;libtool;/config\\\\.;missing;autogen.sh;install-sh;Dart;aclocal;log$;Makefile$")

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

add_subdirectory(src build)
#add_subdirectory(doc)
add_subdirectory(tests)

=== SConstruct ===
from __future__ import print_function
import os
import re
import string
import sys
from copy import copy
from stat import *

try:
	string_types = basestring
except NameError:
	string_types = str

package = 'lighttpd'
version = '1.4.67'

underscorify_reg = re.compile('[^A-Z0-9]')
def underscorify(id):
	return underscorify_reg.sub('_', id.upper())

def fail(*args, **kwargs):
	print(*args, file=sys.stderr, **kwargs)
	sys.exit(-1)

class Autoconf:
	class RestoreEnvLibs:
		def __init__(self, env):
			self.env = env
			self.active = False

		def __enter__(self):
			if self.active:
				raise Exception('entered twice')
			self.active = True
			if 'LIBS' in self.env:
				#print("Backup LIBS: " + repr(self.env['LIBS']))
				self.empty = False
				self.backup_libs = copy(self.env['LIBS'])
			else:
				#print("No LIBS to backup")
				self.empty = True

		def __exit__(self, type, value, traceback):
			if not self.active:
				raise Exception('exited twice')
			self.active = False
			if self.empty:
				if 'LIBS' in self.env:
					del self.env['LIBS']
			else:
				#print("Restoring LIBS, now: " + repr(self.env['LIBS']))
				self.env['LIBS'] = self.backup_libs
				#print("Restoring LIBS, to: " + repr(self.env['LIBS']))

	def __init__(self, env):
		self.conf = Configure(env, custom_tests = {
			'CheckGmtOffInStructTm': Autoconf.__checkGmtOffInStructTm,
			'CheckIPv6': Autoconf.__checkIPv6,
			'CheckWeakSymbols': Autoconf.__checkWeakSymbols,
		})

	def append(self, *args, **kw):
		return self.conf.env.Append(*args, **kw)

	def Finish(self):
		return self.conf.Finish()

	@property
	def env(self):
		return self.conf.env

	def restoreEnvLibs(self):
		return Autoconf.RestoreEnvLibs(self.conf.env)

	def CheckType(self, *args, **kw):
		return self.conf.CheckType(*args, **kw)

	def CheckLib(self, *args, **kw):
		return self.conf.CheckLib(*args, autoadd = 0, **kw)

	def CheckLibWithHeader(self, *args, **kw):
		return self.conf.CheckLibWithHeader(*args, autoadd = 0, **kw)

	def CheckGmtOffInStructTm(self):
		return self.conf.CheckGmtOffInStructTm()

	def CheckIPv6(self):
		return self.conf.CheckIPv6()

	def CheckWeakSymbols(self):
		return self.conf.CheckWeakSymbols()

	def CheckCHeader(self, hdr):
		return self.conf.CheckCHeader(hdr)

	def haveCHeader(self, hdr):
		if self.CheckCHeader(hdr):
			# if we have a list of headers define HAVE_ only for last one
			target = hdr
			if not isinstance(target, string_types):
				target = target[-1]
			self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(target) ])
			return True
		return False

	def haveCHeaders(self, hdrs):
		for hdr in hdrs:
			self.haveCHeader(hdr)

	def CheckFunc(self, func, header = None, libs = []):
		with self.restoreEnvLibs():
			self.env.Append(LIBS = libs)
			return self.conf.CheckFunc(func, header = header)

	def CheckFuncInLib(self, func, lib):
		return self.CheckFunc(func, libs = [lib])

	def haveFuncInLib(self, func, lib):
		if self.CheckFuncInLib(func, lib):
			self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(func) ])
			return True
		return False

	def haveFunc(self, func, header = None, libs = []):
		if self.CheckFunc(func, header = header, libs = libs):
			self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(func) ])
			return True
		return False

	def haveFuncs(self, funcs):
		for func in funcs:
			self.haveFunc(func)

	def haveTypes(self, types):
		for type in types:
			if self.conf.CheckType(type, '#include <sys/types.h>'):
				self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(type) ])

	def CheckParseConfig(self, *args, **kw):
		try:
			self.conf.env.ParseConfig(*args, **kw)
			return True
		except OSError:
			return False
		except Exception as e:
			print(e.message, file=sys.stderr)
			return False

	def CheckParseConfigForLib(self, lib, *args, **kw):
		with self.restoreEnvLibs():
			self.env['LIBS'] = []
			if not self.CheckParseConfig(*args, **kw):
				return False
			self.env.Append(**{lib: self.env['LIBS']})
			return True

	@staticmethod
	def __checkGmtOffInStructTm(context):
		source = """
#include <time.h>
int main() {
	struct tm a;
	a.tm_gmtoff = 0;
	return 0;
}
"""
		context.Message('Checking for tm_gmtoff in struct tm...')
		result = context.TryLink(source, '.c')
		context.Result(result)

		return result

	@staticmethod
	def __checkIPv6(context):
		source = """
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

int main() {
	struct sockaddr_in6 s; struct in6_addr t=in6addr_any; int i=AF_INET6; s; t.s6_addr[0] = 0;
	return 0;
}
"""
		context.Message('Checking for IPv6 support...')
		result = context.TryLink(source, '.c')
		context.Result(result)

		return result

	@staticmethod
	def __checkWeakSymbols(context):
		source = """
__attribute__((weak)) void __dummy(void *x) { }
int main() {
	void *x;
	__dummy(x);
}
"""
		context.Message('Checking for weak symbol support...')
		result = context.TryLink(source, '.c')
		context.Result(result)

		return result

	def checkProgram(self, withname, progname):
		withname = 'with_' + withname
		binpath = None

		if self.env[withname] != 1:
			binpath = self.env[withname]
		else:
			prog = self.env.Detect(progname)
			if prog:
				binpath = self.env.WhereIs(prog)

		if binpath:
			mode = os.stat(binpath)[ST_MODE]
			if S_ISDIR(mode):
				fail("* error: path `%s' is a directory" % (binpath))
			if not S_ISREG(mode):
				fail("* error: path `%s' is not a file or not exists" % (binpath))

		if not binpath:
			fail("* error: can't find program `%s'" % (progname))

		return binpath

VariantDir('sconsbuild/build', 'src', duplicate = 0)
VariantDir('sconsbuild/tests', 'tests', duplicate = 0)

vars = Variables()
vars.AddVariables(
	('prefix', 'prefix', '/usr/local'),
	('bindir', 'binary directory', '${prefix}/bin'),
	('sbindir', 'binary directory', '${prefix}/sbin'),
	('libdir', 'library directory', '${prefix}/lib'),
	PathVariable('CC', 'path to the c-compiler', None),
	BoolVariable('build_dynamic', 'enable dynamic build', 'yes'),
	BoolVariable('build_static', 'enable static build', 'no'),
	BoolVariable('build_fullstatic', 'enable fullstatic build', 'no'),

	BoolVariable('with_bzip2', 'enable bzip2 compression', 'no'),
	BoolVariable('with_brotli', 'enable brotli compression', 'no'),
	PackageVariable('with_dbi', 'enable dbi support', 'no'),
	BoolVariable('with_fam', 'enable FAM/gamin support', 'no'),
	BoolVariable('with_libdeflate', 'enable libdeflate compression', 'no'),
	BoolVariable('with_maxminddb', 'enable MaxMind GeoIP2 support', 'no'),
	BoolVariable('with_krb5', 'enable krb5 auth support', 'no'),
	BoolVariable('with_ldap', 'enable ldap auth support', 'no'),
	# with_libev not supported
	# with_libunwind not supported
	BoolVariable('with_lua', 'enable lua support', 'no'),
	PackageVariable('with_mysql', 'enable mysql support', 'no'),
	BoolVariable('with_openssl', 'enable openssl support', 'no'),
	PackageVariable('with_gnutls', 'enable GnuTLS support', 'no'),
	PackageVariable('with_mbedtls', 'enable mbedTLS support', 'no'),
	PackageVariable('with_nss', 'enable NSS crypto support', 'no'),
	PackageVariable('with_wolfssl', 'enable wolfSSL support', 'no'),
	BoolVariable('with_nettle', 'enable Nettle support', 'no'),
	BoolVariable('with_pam', 'enable PAM auth support', 'no'),
	PackageVariable('with_pcre2', 'enable pcre2 support', 'yes'),
	PackageVariable('with_pcre', 'enable pcre support', 'no'),
	PackageVariable('with_pgsql', 'enable pgsql support', 'no'),
	PackageVariable('with_sasl', 'enable SASL support', 'no'),
	BoolVariable('with_sqlite3', 'enable sqlite3 support (required for webdav props)', 'no'),
	BoolVariable('with_uuid', 'enable uuid support (required for webdav locks)', 'no'),
	# with_valgrind not supported
	# with_xattr not supported
	PackageVariable('with_xml', 'enable xml support (required for webdav props)', 'no'),
	BoolVariable('with_xxhash', 'build with system-provided xxhash', 'no'),
	BoolVariable('with_zlib', 'enable deflate/gzip compression', 'no'),
	BoolVariable('with_zstd', 'enable zstd compression', 'no'),

	BoolVariable('with_all', 'enable all with_* features', 'no'),
)

env = Environment(
	ENV = dict(os.environ),  # make sure we have a dict here so .Clone() works properly
	variables = vars,
	CPPPATH = Split('#sconsbuild/build')
)

env.Help(vars.GenerateHelpText(env))

if env.subst('${CC}') != '':
	env['CC'] = env.subst('${CC}')

env['package'] = package
env['version'] = version
if env['CC'] == 'gcc':
	## we need x-open 6 and bsd 4.3 features
	env.Append(CCFLAGS = Split('-pipe -Wall -O2 -g -W -pedantic -Wunused -Wshadow -std=gnu99'))

env.Append(CPPFLAGS = [
	'-D_TIME_BITS=64',
	'-D_FILE_OFFSET_BITS=64',
	'-D_LARGEFILE_SOURCE',
	'-D_LARGE_FILES',
	'-D_DEFAULT_SOURCE',
	'-D_GNU_SOURCE',
])

if env['with_all']:
	for feature in vars.keys():
		# only enable 'with_*' flags
		if not feature.startswith('with_'): continue
		# don't overwrite manual arguments
		if feature in vars.args: continue
		# now activate
		env[feature] = True

# cache configure checks
if 1:
	autoconf = Autoconf(env)

	if 'CFLAGS' in os.environ:
		autoconf.env.Append(CCFLAGS = os.environ['CFLAGS'])
		print(">> Appending custom build flags : " + os.environ['CFLAGS'])

	if 'LDFLAGS' in os.environ:
		autoconf.env.Append(LINKFLAGS = os.environ['LDFLAGS'])
		print(">> Appending custom link flags : " + os.environ['LDFLAGS'])

	if 'LIBS' in os.environ:
		autoconf.env.Append(APPEND_LIBS = os.environ['LIBS'])
		print(">> Appending custom libraries : " + os.environ['LIBS'])
	else:
		autoconf.env.Append(APPEND_LIBS = '')

	autoconf.env.Append(
		LIBBROTLI = '',
		LIBBZ2 = '',
		LIBCRYPT = '',
		LIBCRYPTO = '',
		LIBDBI = '',
		LIBDEFLATE = '',
		LIBDL = '',
		LIBGNUTLS = '',
		LIBGSSAPI_KRB5 = '',
		LIBKRB5 = '',
		LIBLBER = '',
		LIBLDAP = '',
		LIBLUA = '',
		LIBMBEDTLS = '',
		LIBMBEDX509 = '',
		LIBMBEDCRYPTO = '',
		LIBMYSQL = '',
		LIBNSS = '',
		LIBPAM = '',
		LIBPCRE = '',
		LIBPGSQL = '',
		LIBSASL = '',
		LIBSQLITE3 = '',
		LIBSSL = '',
		LIBSSLCRYPTO = '',
		LIBUUID = '',
		LIBWOLFSSL = '',
		LIBX509 = '',
		LIBXML2 = '',
		LIBXXHASH = '',
		LIBZ = '',
		LIBZSTD = '',
	)

	autoconf.haveCHeaders([
		'arpa/inet.h',
		'crypt.h',
		'dlfcn.h',
		'fcntl.h',
		'getopt.h',
		'inttypes.h',
		'linux/random.h',
		'malloc.h',
		'poll.h',
		'pwd.h',
		'stdint.h',
		'stdlib.h',
		'string.h',
		'strings.h',
		'sys/epoll.h',
		'sys/inotify.h',
		'sys/loadavg.h',
		'sys/poll.h',
		'sys/prctl.h',
		'sys/procctl.h',
		'sys/sendfile.h',
		'sys/time.h',
		'sys/wait.h',
		'syslog.h',
		'unistd.h',
		'winsock2.h',

		# "have" the last header if we include others before?
		['sys/types.h', 'sys/time.h', 'sys/resource.h'],
		['sys/types.h', 'netinet/in.h'],
		['sys/types.h', 'sys/event.h'],
		['sys/types.h', 'sys/mman.h'],
		['sys/types.h', 'sys/select.h'],
		['sys/types.h', 'sys/socket.h'],
		['sys/types.h', 'sys/uio.h'],
		['sys/types.h', 'sys/un.h'],
	])

	autoconf.haveFuncs([
		'arc4random_buf',
		'chroot',
		'clock_gettime',
		'copy_file_range',
		'epoll_ctl',
		'explicit_bzero',
		'explicit_memset',
		'fork',
		'getloadavg',
		'getrlimit',
		'getuid',
		'gmtime_r',
		'inet_aton',
		'inet_pton',
		'issetugid',
		'jrand48',
		'kqueue',
		'localtime_r',
		'lstat',
		'madvise',
		'malloc_trim',
		'mallopt',
		'mempcpy',
		'memset_s',
		'mkostemp',
		'mmap',
		'pipe2',
		'poll',
		'pread',
		'preadv',
		'pwrite',
		'pwritev',
		'select',
		'sendfile',
		'sendfile64',
		'sigaction',
		'signal',
		'splice',
		'srandom',
		'strerror_r',
		'timegm',
		'writev',
	])
	autoconf.haveFunc('getentropy', 'sys/random.h')
	autoconf.haveFunc('getrandom', 'linux/random.h')
	if re.compile("sunos|solaris").search(env['PLATFORM']):
		autoconf.haveCHeaders([
			'port.h',
			'priv.h',
			'sys/devpoll.h',
			'sys/filio.h',
		])
		autoconf.haveFunc('port_create', 'port.h')
		autoconf.haveFunc('sendfilev')
		autoconf.haveFunc('setpflags', 'priv.h')

	autoconf.haveTypes(Split('pid_t size_t off_t'))

	# have crypt_r/crypt, and is -lcrypt needed?
	if autoconf.CheckLib('crypt'):

=== debian/changelog ===
lighttpd (1.4.67-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 17:41:54 -0800

lighttpd (1.4.67-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * prefer lighttpd TLS defaults

  [ Helmut Grohne ]
  * New upstream version 1.4.67
  * Update copyright years
  * Drop upgrade code for o-o-o-stable from postinst
  * Drop NEWS relevant to o-o-stable
  * Remove myself from uploaders
  * Install NEWS.Debian in main lighttpd package only

 -- Helmut Grohne <helmut.grohne@intenta.de>  Fri, 23 Sep 2022 09:06:57 +0200

lighttpd (1.4.66-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * New upstream version 1.4.66.

  [ Moritz Schlarb ]
  * Re-enable and fix reprotest job

  [ Helmut Grohne ]
  * update overrides to newer lintian syntax

 -- Helmut Grohne <helmut.grohne@intenta.de>  Tue, 23 Aug 2022 15:32:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian lighttpd maintainers <team+lighttpd@tracker.debian.org>
-Uploaders: Helmut Grohne <helmut.grohne@intenta.de>, Glenn Strauss <gstrauss@gluelogic.com>, Stefan Bühler <stbuehler@web.de>
+Uploaders: Glenn Strauss <gstrauss@gluelogic.com>, Stefan Bühler <stbuehler@web.de>
 Homepage: https://www.lighttpd.net/
 Build-Depends:
  dpkg-dev (>= 1.16.1~),
